
Figure - Bug #116230
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试6小时，出现CRASH: com.android.gallery3d（6）
2023-02-14 11:25 - CD Test赵飞

Status: CLOSED Start date: 2023-02-14

Priority: High Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302100501

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-16

Test Type: ST Root cause: AOSP问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 43200 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.gallery3d (pid 4099)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'void

com.android.gallery3d.filtershow.data.UserPresetsManager.close()' on a null object reference

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2029:user/test-keys

// Build Changelist: 2029

// Build Time: 1675970259000

// java.lang.RuntimeException: Unable to destroy activity {com.android.gallery3d/com.android.gallery3d.filtershow.FilterShowActivity}:

java.lang.NullPointerException: Attempt to invoke virtual method 'void com.android.gallery3d.filtershow.data.UserPresetsManager.close()' on a

null object reference

//     at android.app.ActivityThread.performDestroyActivity(ActivityThread.java:5388)

//     at android.app.ActivityThread.handleDestroyActivity(ActivityThread.java:5421)

//     at android.app.servertransaction.DestroyActivityItem.execute(DestroyActivityItem.java:47)

//     at android.app.servertransaction.ActivityTransactionItem.execute(ActivityTransactionItem.java:45)

//     at android.app.servertransaction.TransactionExecutor.executeLifecycleState(TransactionExecutor.java:176)

//     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:97)

//     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// Caused by: java.lang.NullPointerException: Attempt to invoke virtual method 'void

com.android.gallery3d.filtershow.data.UserPresetsManager.close()' on a null object reference

//     at com.android.gallery3d.filtershow.FilterShowActivity.onDestroy(FilterShowActivity.java:904)
//     at android.app.Activity.performDestroy(Activity.java:8341)

//     at android.app.Instrumentation.callActivityOnDestroy(Instrumentation.java:1365)

//     at android.app.ActivityThread.performDestroyActivity(ActivityThread.java:5375)

//     ... 13 more

// 

【备注】

执行monkey前，设备中存在音频、视频、图片类型的媒体文件

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_116230/Tlog.zip

History

#1 - 2023-02-14 11:31 - CD Test赵飞

- Description updated

#2 - 2023-02-14 16:25 - CD APP-王营

■ Current conclusion

问题已修复，待测试同事验证

■ My analysis

空指针异常，添加空判断

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/181633

#3 - 2023-02-15 13:35 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181633 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW: Gallery2: Fix monkey crash 1162301. Fix NPE for monkey test.TC-RID: 1201-0300701IssueID: TS-R-BUG-116230Change-Id:

Id734de80adc7259890c595b37bf32cd6cfa55842

#4 - 2023-02-15 13:37 - CD APP-王营

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-16

- Root cause set to AOSP问题
#5 - 2023-02-17 09:43 - CD Test赵飞

- % Done changed from 100 to 70

2/16 release版本未复现此问题

Monkey问题，继续跟踪2个版本

#6 - 2023-02-21 15:00 - CD Test赵飞

2/18 DB版本未复现此问题

Monkey问题，继续跟踪1个版本

#7 - 2023-02-22 11:05 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 100

2/21 release版本未复现此问题

已跟踪3个版本未复现，关闭此问题

#8 - 2023-02-22 11:06 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
